View Issue Details

IDProjectCategoryView StatusLast Update
13444Bug reports[All Projects] Survey takingpublic2018-03-09 16:36
Reporterorvil Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13444: Exclusive Option in Multiple Choice question makes not exclusive options invisible instead of non selectable
Description

If in a multiple question an exclusive option is set and choosen at runtime, then all other options are vanishing.
Often an exclusive option has to be named like "none of these". But when one is selecting "none of these" there are no more "these" to see.

That's contraintuitive and I think it would be much more usable to make the non exclusive option unchecked and non-selectable (or grayed).

Steps To Reproduce

Any multiple choice question

Additional Information

This issue leads to another problem, see issue https://bugs.limesurvey.org/view.php?id=13443

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.3
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

orvil

orvil

2018-03-04 13:05

reporter  

Clipboard22.jpg (32,462 bytes)
Clipboard22.jpg (32,462 bytes)
DenisChenu

DenisChenu

2018-03-04 19:16

developer   ~46879

In 2.72 : exclusive option on multiple set other to disable :). Then it's a regression :).

markusfluer

markusfluer

2018-03-06 15:20

administrator   ~46926

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26672

c_schmitz

c_schmitz

2018-03-09 16:36

administrator   ~46987

Version 3.5.0 180309 released

Related Changesets

LimeSurvey: master 4b58e4aa

2018-03-06 15:20:30

markusfluer

Details Diff
Fixed issue 13444: Exclusive Option in Multiple Choice question makes not exclusive options invisible instead of non selectable
Dev: refactor multiple choice to use twig
Affected Issues
13444
mod - application/helpers/qanda_helper.php Diff File
rm - application/views/survey/questions/answer/multiplechoice/answer.php Diff File
add - application/views/survey/questions/answer/multiplechoice/answer.twig Diff File
rm - application/views/survey/questions/answer/multiplechoice/columns/column_footer.php Diff File
rm - application/views/survey/questions/answer/multiplechoice/columns/column_header.php Diff File
rm - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.php Diff File
add - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - assets/packages/limesurvey/survey.css Diff File

Issue History

Date Modified Username Field Change
2018-03-04 13:05 orvil New Issue
2018-03-04 13:05 orvil File Added: Clipboard22.jpg
2018-03-04 19:16 DenisChenu Note Added: 46879
2018-03-06 15:20 markusfluer Assigned To => markusfluer
2018-03-06 15:20 markusfluer Status new => resolved
2018-03-06 15:20 markusfluer Resolution open => fixed
2018-03-06 15:20 markusfluer Fixed in Version => 3.4.x
2018-03-06 15:20 markusfluer Changeset attached => LimeSurvey master 4b58e4aa
2018-03-06 15:20 markusfluer Note Added: 46926
2018-03-09 16:36 c_schmitz Note Added: 46987
2018-03-09 16:36 c_schmitz Status resolved => closed